DoI need to install VST3 plugins for NKS to work, though using Logic and AU?

Luder Hvalros
Luder Hvalros Member Posts: 10 Newcomer

Hello.

I have a question I hope someone can help answer as I am new to NKS and am a little confused how the NI NKS setup works. It appears to me that though I use Logic as DAW and therefore AU as plugins, that I still need to install the VST3 version of the plugins, in order for the NKS supported plugins to work. Is that correct?

Many thanks!

Best Answer

  • Kymeia
    Kymeia Member Posts: 1,385 Expert
    Answer ✓

    Yes that is correct

Answers

  • Kymeia
    Kymeia Member Posts: 1,385 Expert
    Answer ✓

    Yes that is correct

  • Luder Hvalros
    Luder Hvalros Member Posts: 10 Newcomer

    Thanks again @Kymeia! That's annoying that the NKS files cannot work with just the AU plugins. That means someone using AU has to have twice the storage than someone only using VST3.

  • Ed M
    Ed M Member Posts: 107 Advisor

    Plugins don't take that many space though. It would be another story if you were forced to install the libraries twice 😉

  • Luder Hvalros
    Luder Hvalros Member Posts: 10 Newcomer
    edited March 27

    Agreed but in my case it is still roughly 10 GB of extra storage used on having to install both. Most importantly I do not believe it is clear, neither from NI nor the 3rd party plugins, that the VST3 also needs to be installed.

  • Kymeia
    Kymeia Member Posts: 1,385 Expert

    It would be very complicated if not impossible (considering how much it is proprietary Apple code/licensing) to make NKS work for AU as well as VST3 (and VST2 on Windows)

  • Luder Hvalros
    Luder Hvalros Member Posts: 10 Newcomer

    I understand, thanks for the help / explanations @Ed M and @Kymeia ! 😊

Back To Top